package com.tarfeef101.pwm

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.RadioButton
import android.widget.RadioGroup
import android.widget.TextView
import kotlinx.android.synthetic.main.activity_main.*

class MainActivity : AppCompatActivity()
{
    override fun onCreate(savedInstanceState: Bundle?)
    {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        // set textview to radio group active option
        fun setThemeStatus()
        {
            var active = findViewById<RadioButton>(themeRadioGroup.checkedRadioButtonId)
            themeStatus.setText(active.getText())
        }
        setThemeStatus()
        themeRadioGroup.setOnCheckedChangeListener { _, _ -> setThemeStatus() }
    }
}